Subject: Installing latest IPFilter on NetBSD 1.5.x
To: None <>
From: Grant Beattie <>
List: netbsd-users
Date: 09/26/2001 15:35:16
NetBSD 1.5.x ships with IPFilter 3.4.9. There have been bug fixes and
security fixes since 3.4.9 was released, and the current release is

Building IPFilter as a Loadable Kernel Module means that no kernel
source changes are required to upgrade.

I have written a procedure for upgrading IPFilter so that others
may benefit. It it known to work on 1.5, 1.5.1 and 1.5.2. It can be
found at: